<!DOCTYPE html>

<html lang="en" data-content_root="./">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Index &#8212; numpy 0.0.post1.dev4+gdc3df0d documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=fa44fd50" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css?v=233b9934" />
    <script src="_static/documentation_options.js?v=a3874995"></script>
    <script src="_static/doctools.js?v=888ff710"></script>
    <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="#" />
    <link rel="search" title="Search" href="search.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            

<h1 id="index">Index</h1>

<div class="genindex-jumpbox">
 <a href="#Symbols"><strong>Symbols</strong></a>
 | <a href="#A"><strong>A</strong></a>
 | <a href="#B"><strong>B</strong></a>
 | <a href="#C"><strong>C</strong></a>
 | <a href="#D"><strong>D</strong></a>
 | <a href="#E"><strong>E</strong></a>
 | <a href="#G"><strong>G</strong></a>
 | <a href="#M"><strong>M</strong></a>
 | <a href="#P"><strong>P</strong></a>
 | <a href="#R"><strong>R</strong></a>
 | <a href="#S"><strong>S</strong></a>
 | <a href="#W"><strong>W</strong></a>
 
</div>
<h2 id="Symbols">Symbols</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    --accumulate

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-add-accumulate">cnp-add command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-arctan2-accumulate">cnp-arctan2 command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-divide-accumulate">cnp-divide command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-floor-divide-accumulate">cnp-floor-divide command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-gcd-accumulate">cnp-gcd command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-heaviside-accumulate">cnp-heaviside command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-hypot-accumulate">cnp-hypot command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-lcm-accumulate">cnp-lcm command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-logaddexp-accumulate">cnp-logaddexp command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-logaddexp2-accumulate">cnp-logaddexp2 command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-multiply-accumulate">cnp-multiply command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-power-accumulate">cnp-power command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-remainder-accumulate">cnp-remainder command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-subtract-accumulate">cnp-subtract command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-true-divide-accumulate">cnp-true-divide command line option</a>
</li>
      </ul></li>
      <li>
    --adjacent

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-add-adjacent">cnp-add command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-arctan2-adjacent">cnp-arctan2 command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-divide-adjacent">cnp-divide command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-floor-divide-adjacent">cnp-floor-divide command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-gcd-adjacent">cnp-gcd command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-heaviside-adjacent">cnp-heaviside command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-hypot-adjacent">cnp-hypot command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-lcm-adjacent">cnp-lcm command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-logaddexp-adjacent">cnp-logaddexp command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-logaddexp2-adjacent">cnp-logaddexp2 command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-matmul-adjacent">cnp-matmul command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-multiply-adjacent">cnp-multiply command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-power-adjacent">cnp-power command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-remainder-adjacent">cnp-remainder command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-subtract-adjacent">cnp-subtract command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-true-divide-adjacent">cnp-true-divide command line option</a>
</li>
      </ul></li>
      <li>
    --axis

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-cross-axis">cnp-cross command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-cumprod-axis">cnp-cumprod command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-cumsum-axis">cnp-cumsum command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-diff-axis">cnp-diff command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-ediff1d-axis">cnp-ediff1d command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-gradient-axis">cnp-gradient command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-nancumprod-axis">cnp-nancumprod command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-nancumsum-axis">cnp-nancumsum command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-nanprod-axis">cnp-nanprod command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-nansum-axis">cnp-nansum command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-prod-axis">cnp-prod command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-sum-axis">cnp-sum command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-trapz-axis">cnp-trapz command line option</a>
</li>
      </ul></li>
      <li>
    --filename

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-read-f">cnp-read command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-write-f">cnp-write command line option</a>
</li>
      </ul></li>
      <li>
    --format

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-read-format">cnp-read command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-write-format">cnp-write command line option</a>
</li>
      </ul></li>
      <li>
    --max

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-random-M">cnp-random command line option</a>
</li>
      </ul></li>
      <li>
    --min

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-random-m">cnp-random command line option</a>
</li>
      </ul></li>
      <li>
    --outer

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-add-outer">cnp-add command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-arctan2-outer">cnp-arctan2 command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-divide-outer">cnp-divide command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-floor-divide-outer">cnp-floor-divide command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-gcd-outer">cnp-gcd command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-heaviside-outer">cnp-heaviside command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-hypot-outer">cnp-hypot command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-lcm-outer">cnp-lcm command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-logaddexp-outer">cnp-logaddexp command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-logaddexp2-outer">cnp-logaddexp2 command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-multiply-outer">cnp-multiply command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-power-outer">cnp-power command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-remainder-outer">cnp-remainder command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-subtract-outer">cnp-subtract command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-true-divide-outer">cnp-true-divide command line option</a>
</li>
      </ul></li>
      <li>
    --pairs

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-add-pairs">cnp-add command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-arctan2-pairs">cnp-arctan2 command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-divide-pairs">cnp-divide command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-floor-divide-pairs">cnp-floor-divide command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-gcd-pairs">cnp-gcd command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-heaviside-pairs">cnp-heaviside command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-hypot-pairs">cnp-hypot command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-lcm-pairs">cnp-lcm command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-logaddexp-pairs">cnp-logaddexp command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-logaddexp2-pairs">cnp-logaddexp2 command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-matmul-pairs">cnp-matmul command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-multiply-pairs">cnp-multiply command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-power-pairs">cnp-power command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-remainder-pairs">cnp-remainder command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-subtract-pairs">cnp-subtract command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-true-divide-pairs">cnp-true-divide command line option</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    --params

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-cross-p">cnp-cross command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-cumprod-p">cnp-cumprod command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-cumsum-p">cnp-cumsum command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-diff-p">cnp-diff command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-ediff1d-p">cnp-ediff1d command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-gradient-p">cnp-gradient command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-nancumprod-p">cnp-nancumprod command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-nancumsum-p">cnp-nancumsum command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-nanprod-p">cnp-nanprod command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-nansum-p">cnp-nansum command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-prod-p">cnp-prod command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-read-p">cnp-read command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-sum-p">cnp-sum command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-trapz-p">cnp-trapz command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-write-p">cnp-write command line option</a>
</li>
      </ul></li>
      <li>
    --reduce

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-add-reduce">cnp-add command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-arctan2-reduce">cnp-arctan2 command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-divide-reduce">cnp-divide command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-floor-divide-reduce">cnp-floor-divide command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-gcd-reduce">cnp-gcd command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-heaviside-reduce">cnp-heaviside command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-hypot-reduce">cnp-hypot command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-lcm-reduce">cnp-lcm command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-logaddexp-reduce">cnp-logaddexp command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-logaddexp2-reduce">cnp-logaddexp2 command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-multiply-reduce">cnp-multiply command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-power-reduce">cnp-power command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-remainder-reduce">cnp-remainder command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-subtract-reduce">cnp-subtract command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-true-divide-reduce">cnp-true-divide command line option</a>
</li>
      </ul></li>
      <li>
    --size

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-random-s">cnp-random command line option</a>
</li>
      </ul></li>
      <li>
    -f

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-read-f">cnp-read command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-write-f">cnp-write command line option</a>
</li>
      </ul></li>
      <li>
    -M

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-random-M">cnp-random command line option</a>
</li>
      </ul></li>
      <li>
    -m

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-random-m">cnp-random command line option</a>
</li>
      </ul></li>
      <li>
    -p

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-cross-p">cnp-cross command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-cumprod-p">cnp-cumprod command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-cumsum-p">cnp-cumsum command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-diff-p">cnp-diff command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-ediff1d-p">cnp-ediff1d command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-gradient-p">cnp-gradient command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-nancumprod-p">cnp-nancumprod command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-nancumsum-p">cnp-nancumsum command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-nanprod-p">cnp-nanprod command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-nansum-p">cnp-nansum command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-prod-p">cnp-prod command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-read-p">cnp-read command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-sum-p">cnp-sum command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-trapz-p">cnp-trapz command line option</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-write-p">cnp-write command line option</a>
</li>
      </ul></li>
      <li>
    -s

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-random-s">cnp-random command line option</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="A">A</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/cnp.html#cnp.nparray.axiswise_unary_generator">axiswise_unary_generator() (in module cnp.nparray)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="B">B</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/cnp.html#cnp.nparray.binary_generator">binary_generator() (in module cnp.nparray)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/cnp.html#cnp.nparray.binary_ufunc_generator">binary_ufunc_generator() (in module cnp.nparray)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="C">C</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    cnp

      <ul>
        <li><a href="api/cnp.html#module-cnp">module</a>
</li>
      </ul></li>
      <li>
    cnp-add command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-add-accumulate">--accumulate</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-add-adjacent">--adjacent</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-add-outer">--outer</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-add-pairs">--pairs</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-add-reduce">--reduce</a>
</li>
      </ul></li>
      <li>
    cnp-arctan2 command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-arctan2-accumulate">--accumulate</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-arctan2-adjacent">--adjacent</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-arctan2-outer">--outer</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-arctan2-pairs">--pairs</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-arctan2-reduce">--reduce</a>
</li>
      </ul></li>
      <li>
    cnp-cross command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-cross-axis">--axis</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-cross-p">--params</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-cross-p">-p</a>
</li>
      </ul></li>
      <li>
    cnp-cumprod command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-cumprod-axis">--axis</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-cumprod-p">--params</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-cumprod-p">-p</a>
</li>
      </ul></li>
      <li>
    cnp-cumsum command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-cumsum-axis">--axis</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-cumsum-p">--params</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-cumsum-p">-p</a>
</li>
      </ul></li>
      <li>
    cnp-diff command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-diff-axis">--axis</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-diff-p">--params</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-diff-p">-p</a>
</li>
      </ul></li>
      <li>
    cnp-divide command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-divide-accumulate">--accumulate</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-divide-adjacent">--adjacent</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-divide-outer">--outer</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-divide-pairs">--pairs</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-divide-reduce">--reduce</a>
</li>
      </ul></li>
      <li>
    cnp-ediff1d command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-ediff1d-axis">--axis</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-ediff1d-p">--params</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-ediff1d-p">-p</a>
</li>
      </ul></li>
      <li>
    cnp-floor-divide command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-floor-divide-accumulate">--accumulate</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-floor-divide-adjacent">--adjacent</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-floor-divide-outer">--outer</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-floor-divide-pairs">--pairs</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-floor-divide-reduce">--reduce</a>
</li>
      </ul></li>
      <li>
    cnp-gcd command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-gcd-accumulate">--accumulate</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-gcd-adjacent">--adjacent</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-gcd-outer">--outer</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-gcd-pairs">--pairs</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-gcd-reduce">--reduce</a>
</li>
      </ul></li>
      <li>
    cnp-gradient command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-gradient-axis">--axis</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-gradient-p">--params</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-gradient-p">-p</a>
</li>
      </ul></li>
      <li>
    cnp-heaviside command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-heaviside-accumulate">--accumulate</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-heaviside-adjacent">--adjacent</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-heaviside-outer">--outer</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-heaviside-pairs">--pairs</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-heaviside-reduce">--reduce</a>
</li>
      </ul></li>
      <li>
    cnp-hypot command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-hypot-accumulate">--accumulate</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-hypot-adjacent">--adjacent</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-hypot-outer">--outer</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-hypot-pairs">--pairs</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-hypot-reduce">--reduce</a>
</li>
      </ul></li>
      <li>
    cnp-lcm command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-lcm-accumulate">--accumulate</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-lcm-adjacent">--adjacent</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-lcm-outer">--outer</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-lcm-pairs">--pairs</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-lcm-reduce">--reduce</a>
</li>
      </ul></li>
      <li>
    cnp-logaddexp command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-logaddexp-accumulate">--accumulate</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-logaddexp-adjacent">--adjacent</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-logaddexp-outer">--outer</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-logaddexp-pairs">--pairs</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-logaddexp-reduce">--reduce</a>
</li>
      </ul></li>
      <li>
    cnp-logaddexp2 command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-logaddexp2-accumulate">--accumulate</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-logaddexp2-adjacent">--adjacent</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-logaddexp2-outer">--outer</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-logaddexp2-pairs">--pairs</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-logaddexp2-reduce">--reduce</a>
</li>
      </ul></li>
      <li>
    cnp-matmul command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-matmul-adjacent">--adjacent</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-matmul-pairs">--pairs</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    cnp-multiply command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-multiply-accumulate">--accumulate</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-multiply-adjacent">--adjacent</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-multiply-outer">--outer</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-multiply-pairs">--pairs</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-multiply-reduce">--reduce</a>
</li>
      </ul></li>
      <li>
    cnp-nancumprod command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-nancumprod-axis">--axis</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-nancumprod-p">--params</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-nancumprod-p">-p</a>
</li>
      </ul></li>
      <li>
    cnp-nancumsum command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-nancumsum-axis">--axis</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-nancumsum-p">--params</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-nancumsum-p">-p</a>
</li>
      </ul></li>
      <li>
    cnp-nanprod command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-nanprod-axis">--axis</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-nanprod-p">--params</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-nanprod-p">-p</a>
</li>
      </ul></li>
      <li>
    cnp-nansum command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-nansum-axis">--axis</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-nansum-p">--params</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-nansum-p">-p</a>
</li>
      </ul></li>
      <li>
    cnp-power command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-power-accumulate">--accumulate</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-power-adjacent">--adjacent</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-power-outer">--outer</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-power-pairs">--pairs</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-power-reduce">--reduce</a>
</li>
      </ul></li>
      <li>
    cnp-prod command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-prod-axis">--axis</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-prod-p">--params</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-prod-p">-p</a>
</li>
      </ul></li>
      <li>
    cnp-random command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-random-M">--max</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-random-m">--min</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-random-s">--size</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-random-m">-m</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-random-M">-M</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-random-s">-s</a>
</li>
      </ul></li>
      <li>
    cnp-read command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-read-f">--filename</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-read-format">--format</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-read-p">--params</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-read-f">-f</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-read-p">-p</a>
</li>
      </ul></li>
      <li>
    cnp-remainder command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-remainder-accumulate">--accumulate</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-remainder-adjacent">--adjacent</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-remainder-outer">--outer</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-remainder-pairs">--pairs</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-remainder-reduce">--reduce</a>
</li>
      </ul></li>
      <li>
    cnp-subtract command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-subtract-accumulate">--accumulate</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-subtract-adjacent">--adjacent</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-subtract-outer">--outer</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-subtract-pairs">--pairs</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-subtract-reduce">--reduce</a>
</li>
      </ul></li>
      <li>
    cnp-sum command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-sum-axis">--axis</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-sum-p">--params</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-sum-p">-p</a>
</li>
      </ul></li>
      <li>
    cnp-trapz command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-trapz-axis">--axis</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-trapz-p">--params</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-trapz-p">-p</a>
</li>
      </ul></li>
      <li>
    cnp-true-divide command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-true-divide-accumulate">--accumulate</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-true-divide-adjacent">--adjacent</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-true-divide-outer">--outer</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-true-divide-pairs">--pairs</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-true-divide-reduce">--reduce</a>
</li>
      </ul></li>
      <li>
    cnp-write command line option

      <ul>
        <li><a href="cnp.html#cmdoption-cnp-write-f">--filename</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-write-format">--format</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-write-p">--params</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-write-f">-f</a>
</li>
        <li><a href="cnp.html#cmdoption-cnp-write-p">-p</a>
</li>
      </ul></li>
      <li>
    cnp.app

      <ul>
        <li><a href="api/cnp.html#module-cnp.app">module</a>
</li>
      </ul></li>
      <li>
    cnp.common

      <ul>
        <li><a href="api/cnp.html#module-cnp.common">module</a>
</li>
      </ul></li>
      <li>
    cnp.inout

      <ul>
        <li><a href="api/cnp.html#module-cnp.inout">module</a>
</li>
      </ul></li>
      <li>
    cnp.nparray

      <ul>
        <li><a href="api/cnp.html#module-cnp.nparray">module</a>
</li>
      </ul></li>
      <li>
    cnp.queue

      <ul>
        <li><a href="api/cnp.html#module-cnp.queue">module</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="D">D</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/cnp.html#cnp.inout.dumps">dumps() (in module cnp.inout)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="E">E</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/cnp.html#cnp.nparray.elementwise_unary_generator">elementwise_unary_generator() (in module cnp.nparray)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="G">G</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/cnp.html#cnp.common.generator">generator() (in module cnp.common)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="M">M</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    module

      <ul>
        <li><a href="api/cnp.html#module-cnp">cnp</a>
</li>
        <li><a href="api/cnp.html#module-cnp.app">cnp.app</a>
</li>
        <li><a href="api/cnp.html#module-cnp.common">cnp.common</a>
</li>
        <li><a href="api/cnp.html#module-cnp.inout">cnp.inout</a>
</li>
        <li><a href="api/cnp.html#module-cnp.nparray">cnp.nparray</a>
</li>
        <li><a href="api/cnp.html#module-cnp.queue">cnp.queue</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="P">P</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/cnp.html#cnp.common.params_to_dict">params_to_dict() (in module cnp.common)</a>
</li>
      <li><a href="api/cnp.html#cnp.queue.pop">pop() (in module cnp.queue)</a>
</li>
      <li><a href="api/cnp.html#cnp.app.process_commands">process_commands() (in module cnp.app)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/cnp.html#cnp.common.processor">processor() (in module cnp.common)</a>
</li>
      <li><a href="api/cnp.html#cnp.queue.push">push() (in module cnp.queue)</a>
</li>
      <li>
    Python Enhancement Proposals

      <ul>
        <li><a href="cnp.html#index-0">PEP 465</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="R">R</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/cnp.html#cnp.nparray.random">random() (in module cnp.nparray)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/cnp.html#cnp.inout.read">read() (in module cnp.inout)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="S">S</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/cnp.html#cnp.app.Storage">Storage (class in cnp.app)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="W">W</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/cnp.html#cnp.inout.write">write() (in module cnp.inout)</a>
</li>
  </ul></td>
</tr></table>



          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">numpy</a></h1>








<h3>Navigation</h3>
<ul>
<li class="toctree-l1"><a class="reference internal" href="readme.html">Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="cnp.html">Reference</a></li>
<li class="toctree-l1"><a class="reference internal" href="contributing.html">Contributions &amp; Help</a></li>
<li class="toctree-l1"><a class="reference internal" href="license.html">License</a></li>
<li class="toctree-l1"><a class="reference internal" href="authors.html">Authors</a></li>
<li class="toctree-l1"><a class="reference internal" href="changelog.html">Changelog</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Contextualize.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
    </div>

    

    
  </body>
</html>